/*
 * (C) 1995-2001 Clemson University and Argonne National Laboratory.
 *
 * See COPYING in top-level directory.
 */


#include <lib.h>
#include <errno.h>

extern fdesc_p pfds[];

void *pvfs_exit(void)
{
	int i;

	for (i = 0; i < PVFS_NR_OPEN; i++) {
		if (!pfds[i] || pfds[i]->fs != FS_PVFS) continue;
		pvfs_close(i);
	}
	LOG("Closed open files\n");
#ifdef SINGLE_CONNECTION
	cleanup_iodtable();
#endif
	return(0);
}	

/*
 * Local variables:
 *  c-indent-level: 3
 *  c-basic-offset: 3
 *  tab-width: 3
 *
 * vim: ts=3
 * End:
 */ 
